Bug 204806 - [UPDATE]: Update security/tor and security/tor-devel to 0.2.7.5
Summary: [UPDATE]: Update security/tor and security/tor-devel to 0.2.7.5
Status: Closed DUPLICATE of bug 205252
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-25 12:56 UTC by Neel Chauhan
Modified: 2015-12-17 16:17 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (bf)


Attachments
Patch to update security/tor and security/tor-devel to 0.2.7.5 (2.01 KB, patch)
2015-11-25 12:56 UTC, Neel Chauhan
no flags Details | Diff
Poudriere build log for security/tor 0.2.7.5 on FreeBSD 10.2 amd64 (39.45 KB, text/x-log)
2015-11-25 12:57 UTC, Neel Chauhan
no flags Details
Poudriere build log for security/tor-devel 0.2.7.5 on FreeBSD 10.2 amd64 (39.75 KB, text/x-log)
2015-11-25 12:57 UTC, Neel Chauhan
no flags Details
Poudriere build log for security/tor 0.2.7.5 on FreeBSD 9.3 amd64 (39.87 KB, text/x-log)
2015-11-25 13:01 UTC, Neel Chauhan
no flags Details
Poudriere build log for security/tor 0.2.7.5-devel on FreeBSD 9.3 amd64 (40.16 KB, text/x-log)
2015-11-25 13:04 UTC, Neel Chauhan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2015-11-25 12:56:09 UTC
Created attachment 163520 [details]
Patch to update security/tor and security/tor-devel to 0.2.7.5

Hi,

I have a patch to update security/tor and security/tor-devel to 0.2.7.5. The poudriere build logs will be uploaded shortly.

Thanks,
Neel Chauhan
===
http://www.neelc.org
Comment 1 Neel Chauhan freebsd_committer 2015-11-25 12:57:02 UTC
Created attachment 163521 [details]
Poudriere build log for security/tor 0.2.7.5 on FreeBSD 10.2 amd64
Comment 2 Neel Chauhan freebsd_committer 2015-11-25 12:57:18 UTC
Created attachment 163522 [details]
Poudriere build log for security/tor-devel 0.2.7.5 on FreeBSD 10.2 amd64
Comment 3 Neel Chauhan freebsd_committer 2015-11-25 13:01:41 UTC
Created attachment 163523 [details]
Poudriere build log for security/tor 0.2.7.5 on FreeBSD 9.3 amd64
Comment 4 Neel Chauhan freebsd_committer 2015-11-25 13:04:56 UTC
Created attachment 163524 [details]
Poudriere build log for security/tor 0.2.7.5-devel on FreeBSD 9.3 amd64
Comment 5 Dmitry Marakasov freebsd_committer 2015-11-30 20:00:07 UTC
You can't update security/tor to 2.7.x as 2.7 is an unstable branch.
Comment 6 George 2015-11-30 20:10:01 UTC
The blog post at https://blog.torproject.org/blog/tor-0275-released-and-stable is entitled "Tor 0.2.7.5 is released and stable," so formally it *is* stable.

And OpenBSD moved their net/tor port to 0.2.7.5 and they do not allow dev or alpha versions in their ports tree.

OTOH, the 0.2.7.x branch requires a new version of OpenSSL than is on the 9.x FreeBSD branch, and there is no new 'alpha' branch from the Tor Project yet, so for port categorization purposes, it makes sense to keep security/tor at 0.2.6.x and security/tor-devel at 0.2.7.x IMHO.
Comment 7 Dmitry Marakasov freebsd_committer 2015-12-01 18:54:24 UTC
(In reply to George from comment #6)

> The blog post at
> https://blog.torproject.org/blog/tor-0275-released-and-stable is entitled
> "Tor 0.2.7.5 is released and stable," so formally it *is* stable.

Download page still lists 0.2.7 branch as unstable.

> OTOH, the 0.2.7.x branch requires a new version of OpenSSL than is on the
> 9.x FreeBSD branch, and there is no new 'alpha' branch from the Tor Project
> yet, so for port categorization purposes, it makes sense to keep
> security/tor at 0.2.6.x and security/tor-devel at 0.2.7.x IMHO.

I'd stick to that for stability purposes for the time being. 0.2.7 is only gaining usage and may still reveal some bugs. When dust settles, we can switch tor port to it and remove tor-devel completely.
Comment 8 Neel Chauhan freebsd_committer 2015-12-11 20:46:38 UTC

*** This bug has been marked as a duplicate of bug 205252 ***
Comment 9 commit-hook freebsd_committer 2015-12-17 16:17:01 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 17 16:16:52 UTC 2015
New revision: 403908
URL: https://svnweb.freebsd.org/changeset/ports/403908

Log:
  - Update to 0.2.7.6

  PR:		204123, 204806, 205252
  Submitted by:	neel@neelc.org
  Approved by:	maintainer timeout (bf, >1 month)

Changes:
  head/security/tor-devel/Makefile
  head/security/tor-devel/distinfo